import {
  index,
  layout,
  route,
  type RouteConfig
} from '@react-router/dev/routes'

export default [
  layout('routes/layout.tsx', [
    index('routes/index.tsx'),
    route('api/*', 'routes/api.ts'),
    route('edit/:id', 'routes/edit.tsx')
  ]),
  route('logout', 'routes/auth/logout.ts'),
  route('login', 'routes/auth/login.ts')
] satisfies RouteConfig
